Skip to main content

Deepfake Detection: start task

POST 

/api/technology/deepfake-detection

Start Deepfake Detection task for a media file.

Deepfake Detection features​

  • Multi-channel media files are supported
  • For each channel an independent Deepfake Detection result is produced.
  • Processing can be limited to a specific time segment with query parameters.
  • If there is less than 3 seconds of audio in a processed channel (or time segment), the score will be empty (i.e. null).

Request​

Responses​

Deepfake Detection task was accepted. Follow the Location header to poll for the task state.

Response Headers
    X-Locationdeprecated

    Use the Location header instead. Will be removed in version 2027.1.0.

    Example: /api/technology/deepfake-detection/123e4567-e89b-12d3-a456-426614174000
    Location

    A URL the client should poll for task state and result.

    Example: /api/technology/deepfake-detection/123e4567-e89b-12d3-a456-426614174000